DataTracker (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Class DataTracker

    java.lang.Object
      org.apache.cassandra.db.DataTracker

    public class DataTracker

extends java.lang.Object

Field Summary
`ColumnFamilyStore` | `cfstore`
`java.util.Collection<INotificationConsumer>` | `subscribers`

Constructor Summary
`DataTracker(ColumnFamilyStore cfstore)`

Method Summary
`void` | `addInitialSSTables(java.util.Collection<SSTableReader> sstables)`
`void` | `addSSTables(java.util.Collection<SSTableReader> sstables)`
`long` | `estimatedKeys()`
`long` | `getBloomFilterFalsePositives()`
`double` | `getBloomFilterFalseRatio()`
`double` | `getCompressionRatio()`
`long[]` | `getEstimatedColumnCountHistogram()`
`long[]` | `getEstimatedRowSizeHistogram()`
`AutoSavingCache<Pair<Descriptor,DecoratedKey>,java.lang.Long>` | `getKeyCache()`
`long` | `getLiveSize()`
`long` | `getMaxRowSize()`
`int` | `getMeanColumns()`
`long` | `getMeanRowSize()`
`Memtable` | `getMemtable()`
`java.util.Set<Memtable>` | `getMemtablesPendingFlush()`
`long` | `getMinRowSize()`
`long` | `getRecentBloomFilterFalsePositives()`
`double` | `getRecentBloomFilterFalseRatio()`
`java.util.List<SSTableReader>` | `getSSTables()`
`long` | `getTotalSize()`
`org.apache.cassandra.db.DataTracker.View` | `getView()`
`void` | `incrementallyBackup(SSTableReader sstable)`
`void` | `markCompacted(java.util.Collection<SSTableReader> sstables, OperationType compactionType)`
`java.util.Set<SSTableReader>` | `markCompacting(java.util.Collection<SSTableReader> tomark, int min, int max)`
`void` | `notifyAdded(SSTableReader added)`
`void` | `notifySSTablesChanged(java.lang.Iterable<SSTableReader> removed, java.lang.Iterable<SSTableReader> added, OperationType compactionType)`
`void` | `removeAllSSTables()`
`void` | `renewMemtable()` Renew the current memtable without putting the old one for a flush.
`void` | `replaceCompactedSSTables(java.util.Collection<SSTableReader> sstables, java.lang.Iterable<SSTableReader> replacements, OperationType compactionType)`
`void` | `replaceFlushed(Memtable memtable, SSTableReader sstable)`
`void` | `spaceReclaimed(long size)`
`void` | `subscribe(INotificationConsumer consumer)`
`Memtable` | `switchMemtable()` Switch the current memtable.
`void` | `unmarkCompacting(java.util.Collection<SSTableReader> unmark)` Removes files from compacting status: this is different from 'markCompacted' because it should be run regardless of whether a compaction succeeded.
`void` | `unsubscribe(INotificationConsumer consumer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### subscribers

    public java.util.Collection<INotificationConsumer> subscribers

### cfstore

    public final ColumnFamilyStore cfstore

Constructor Detail

### DataTracker

    public DataTracker(ColumnFamilyStore cfstore)

Method Detail

### getMemtable

    public Memtable getMemtable()

### getMemtablesPendingFlush

    public java.util.Set<Memtable> getMemtablesPendingFlush()

### getSSTables

    public java.util.List<SSTableReader> getSSTables()

### getView

    public org.apache.cassandra.db.DataTracker.View getView()

### switchMemtable

    public Memtable switchMemtable()

  Switch the current memtable. This atomically adds the current memtable to the memtables pending flush and replace it with a fresh memtable.

  Returns:
    the previous current memtable (the one added to the pending flush)

### renewMemtable

    public void renewMemtable()

  Renew the current memtable without putting the old one for a flush. Used when we flush but a memtable is clean (in which case we must change it because it was frozen).

### replaceFlushed

    public void replaceFlushed(Memtable memtable,
                               SSTableReader sstable)

### incrementallyBackup

    public void incrementallyBackup(SSTableReader sstable)

### markCompacting

    public java.util.Set<SSTableReader> markCompacting(java.util.Collection<SSTableReader> tomark,
                                                       int min,
                                                       int max)

  Returns:
    A subset of the given active sstables that have been marked compacting, or null if the thresholds cannot be met: files that are marked compacting must later be unmarked using unmarkCompacting. Note that we could acquire references on the marked sstables and release them in unmarkCompacting, but since we will never call markCompacted on a sstable marked as compacting (unless there is a serious bug), we can skip this.

### unmarkCompacting

    public void unmarkCompacting(java.util.Collection<SSTableReader> unmark)

  Removes files from compacting status: this is different from 'markCompacted' because it should be run regardless of whether a compaction succeeded.

### markCompacted

    public void markCompacted(java.util.Collection<SSTableReader> sstables,
                              OperationType compactionType)

### replaceCompactedSSTables

    public void replaceCompactedSSTables(java.util.Collection<SSTableReader> sstables,
                                         java.lang.Iterable<SSTableReader> replacements,
                                         OperationType compactionType)

### addInitialSSTables

    public void addInitialSSTables(java.util.Collection<SSTableReader> sstables)

### addSSTables

    public void addSSTables(java.util.Collection<SSTableReader> sstables)

### removeAllSSTables

    public void removeAllSSTables()

### getKeyCache

    public AutoSavingCache<Pair<Descriptor,DecoratedKey>,java.lang.Long> getKeyCache()

### getLiveSize

    public long getLiveSize()

### getTotalSize

    public long getTotalSize()

### spaceReclaimed

    public void spaceReclaimed(long size)

### estimatedKeys

    public long estimatedKeys()

### getEstimatedRowSizeHistogram

    public long[] getEstimatedRowSizeHistogram()

### getEstimatedColumnCountHistogram

    public long[] getEstimatedColumnCountHistogram()

### getCompressionRatio

    public double getCompressionRatio()

### getMinRowSize

    public long getMinRowSize()

### getMaxRowSize

    public long getMaxRowSize()

### getMeanRowSize

    public long getMeanRowSize()

### getMeanColumns

    public int getMeanColumns()

### getBloomFilterFalsePositives

    public long getBloomFilterFalsePositives()

### getRecentBloomFilterFalsePositives

    public long getRecentBloomFilterFalsePositives()

### getBloomFilterFalseRatio

    public double getBloomFilterFalseRatio()

### getRecentBloomFilterFalseRatio

    public double getRecentBloomFilterFalseRatio()

### notifySSTablesChanged

    public void notifySSTablesChanged(java.lang.Iterable<SSTableReader> removed,
                                      java.lang.Iterable<SSTableReader> added,
                                      OperationType compactionType)

### notifyAdded

    public void notifyAdded(SSTableReader added)

### subscribe

    public void subscribe(INotificationConsumer consumer)

### unsubscribe

    public void unsubscribe(INotificationConsumer consumer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation